#include <iostream>
#include <algorithm>
using namespace std;

int main()
{
    int n;
    cin>>n;
    int x[n], y[n], z[n], indeks[2*n], br=0, br1=0;
    for(int i=0;i<n;i++) cin>>x[i];
    for(int i=0;i<n;i++) cin>>y[i];
    for(int i=0;i<n;i++) cin>>z[i];
    for(int i=0;i<2*n;i++) indeks[i]=0;
    for(int i=0;i<n;i++){
        for(int j=0;j<n;j++){
            if(x[i]==y[j])if(indeks[i]==0){indeks[i]=j+1; br1++;}
            else {indeks[i+1]=j+1;br1++;}
    }
    }
    for(int i=0;i<br1;i++){
        for(int j=0;j<n;j++)
            if(indeks[i]==z[j]) br++;

    }
    cout<<br;
    return 0;
}